Page MenuHomePhabricator

The default for the file type field should be "Select file type"
Closed, ResolvedPublic1 Story Points

Description

Motivation
The "empty" first option for "File type" dropdown looks weird, and it is hard for people to understand they need to click there if they want to get rid of a file type specification

MOCK:

Acceptance Criteria

  •  "Select file type" is the default for the file type field and means that the keyword is currently not used
  • "Select file type" is the first entry in the list of file types and can again be selected by the user

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptNov 28 2017, 11:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE renamed this task from The "empty" first option for "File type" dropdown looks weird, it should probably have a label like "(All files)" or something to The default for the file type field should be "Choose file type".Feb 15 2018, 4:30 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Charlie_WMDE renamed this task from The default for the file type field should be "Choose file type" to The default for the file type field should be "Add file type".Feb 20 2018, 1:40 PM
Charlie_WMDE updated the task description. (Show Details)
Charlie_WMDE updated the task description. (Show Details)

I've changed the text of this ticket to "Add file type" and added the current mock so we can keep consistent with the wording we currently have (add a namespace).

I had added this to another ticket T187725 I'm assuming I should remove it from there? @Lea_WMDE

Charlie_WMDE updated the task description. (Show Details)Feb 20 2018, 1:43 PM
Tonina_Zhelyazkova_WMDE set the point value for this task to 1.

@Charlie_WMDE are you sure you want to use "Add file type" instead of "Choose file type"? During storytime it was indicated that "add" implies that you can add multiple ones (and for namespaces you can), but you can only select one file type

@Lea_WMDE I don't see this as a big problem, hence I picked add seeing that it is consistent with the wording we already use. I do understand your point though. Since convention seems to be to use "select" I suggest we use that. I have updated the mock accordingly.

Charlie_WMDE updated the task description. (Show Details)Feb 22 2018, 5:21 PM
Lea_WMDE renamed this task from The default for the file type field should be "Add file type" to The default for the file type field should be "Select file type".Feb 23 2018, 11:30 AM
aniansson claimed this task.Mar 7 2018, 5:02 PM
aniansson moved this task from Todo to Doing on the wmde-fundraising-sprint-19 board.

Change 416989 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/AdvancedSearch@master] Change the default file option text

https://gerrit.wikimedia.org/r/416989

@Charlie_WMDE hey charlie, do you want the "Select file Type" text to be gray or does it work with how it is now? :)

Change 416989 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Change the default file option text

https://gerrit.wikimedia.org/r/416989

Hey @aniansson we already talked face to face but just for documentation purposes: leaving it the way the OOUI widget comes naturally is fine.

Tonina_Zhelyazkova_WMDE removed aniansson as the assignee of this task.Mar 16 2018, 10:55 AM
Tonina_Zhelyazkova_WMDE added a subscriber: aniansson.

This is even on the live system already - it was deployed last Tuesday. But fortunately it looks good :)

Lea_WMDE closed this task as Resolved.Mar 23 2018, 12:25 PM
Tobi_WMDE_SW removed Tobi_WMDE_SW as the assignee of this task.
Tobi_WMDE_SW added a project: User-aniansson.
Tobi_WMDE_SW moved this task from Backlog to Completed on the User-aniansson board.
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.